=== debian/changelog ===
qtsixa (1.3.0-0maemo0) fremantle; urgency=low

  * Implemented 2 controllers support
  * Rearanged key mapping to use Enter-Start, Space-Select

 -- Tomasz Sterna <tomek@xiaoka.com>  Sat, 13 Mar 2010 21:57:16 +0100

qtsixa (1.2.0-0maemo2) fremantle; urgency=low

  * Fixed HAL FDIs for XOrg

 -- Tomasz Sterna <tomek@xiaoka.com>  Mon, 08 Feb 2010 05:54:31 +0100

qtsixa (1.2.0-0maemo1) fremantle; urgency=low

  * Fixed dependencies

 -- Tomasz Sterna <tomek@xiaoka.com>  Mon, 08 Feb 2010 05:33:30 +0100

qtsixa (1.2.0-0maemo0) fremantle; urgency=low

  * Ported sixad to Maemo 5

 -- Tomasz Sterna <tomek@xiaoka.com>  Tue,  2 Feb 2010 14:38:32 +0100

qtsixa (1.2.0-0ubuntu0+ppa1) lucid; urgency=low

  * Final 1.2.0 release:
    - Display a warning when the list of profiles was not found
    - Fixed crash when the list of profiles was not found
    - Also disable "Add New" and "Create New" buttons when no list found
    - Use pt_PT for pt_BR translations, for now
    - Special "--boot-yes" option fix for ArchLinux
    - Fixed sixad Makefile
    - Added a Makefile to QtSixA too (easy install for non-Debian systems)
    - Sixaxis configuration menu is more usable now
    - Warn user when using < 2.0 bluetooth dongle (Sixaxis incompatible)
    - Drop C++ code (python is good enough)
    - Added useful docs to the source tree

 -- falkTX <falktx@gmail.com>  Wed, 27 Jan 2010 02:14:24 +0000

qtsixa (1.2.0~rc1-0ubuntu0~ppa1) lucid; urgency=low

  * Finished strings for translators
  * Finished pt_PT translation
  * Make sure translations don't make QtSixA crash
  * Started GUI code port to C++ (only for v2.0)
  * Updated manual, and added translation section

 -- falkTX <falktx@gmail.com>  Tue, 12 Jan 2010 02:32:56 +0000

qtsixa (1.2.0~beta1-0ubuntu0~ppa3) lucid; urgency=low

  * Fixed

 -- falkTX <falktx@gmail.com>  Mon, 04 Jan 2010 10:14:35 +0000

qtsixa (1.2.0~beta1-0ubuntu0~ppa2) lucid; urgency=low

  * Added missing build-depends

 -- falkTX <falktx@gmail.com>  Mon, 04 Jan 2010 09:29:48 +0000

qtsixa (1.2.0~beta1-0ubuntu0~ppa1) lucid; urgency=low

  * Initial release. (LP: #471081)

 -- falkTX <falktx@gmail.com>  Tue, 03 Nov 2009 14:42:00 +0000
