=== debian/control ===
Source: qtsixa
Section: user/system
Priority: optional
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
XSBC-Original-Maintainer: Filipe Coelho (aka 'falkTX') <falktx@gmail.com>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), gcc (>= 4.1),
  libusb-dev, libbluetooth-dev, libdbus-glib-1-dev, libdbus-1-dev

Package: sixad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 4.12)
Description: SixA Daemon
 This package provides the modules (called 'sixad') for connecting PS3 hardware
 (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine
 .
 Currently sixad supports:
  - Sixaxis buttons, axis, accelerometers and LEDs
  - PS3 Keypads
 .
 sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
 (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".
 .
 sixad is triggered by udev, making it super easy to connect new devices
 (you just need to press the PS button)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAADM1JREFUaN7tmXmQHNV9xz+v7zl6dnZ3ZrVCJ5IQK61AChgiLAFGxsaO
 cRWJSbArTkGCIQ44joNDleOQIBKq7Eps7LhcBucgjl24sFNADiCQgMVpjhCE
 kYVAQtJqd2bPmdk5++5++WPWC7qQxFVJhV/V6+7pef3e7/u733vwHr1H79H/
 aRJv52Bby1Ii50aVh4z+ut9bFwnxvwbATSUppXhzMwsJN75FMG/q463jUgrZ
 FerbQVLCTYvfHBDxZph/2zg/AjdbTzoxIOKE7Ptd8soTAaEdT6cby1KObPt3
 Jp97gvbUOPkVp3LKRy+l5+RVb5lfv1lnz7/9iMb+PUgp6Vs9zA17HalZqeNy
 9mN2uLEk5bO3/Bnuruc5c90wVjrN6OgoO3e/ysYbvsbA6Wcd8TtVgDr3HAPx
 EfQXdtrcd8XHWLZ8GYP5HFJKyjNVppttPvYP9yIE3HgMbWjHsncZJ5SfeoTL
 LrmYhx56GCEES5cs4fyNv8yOu+9gwelnkVYgo0BaBVN0mT90VjkHwpfgxNBJ
 YOfTjzLQl2cwn2P/yAi+77NyxQoqlQr1kT3kl5/C1rKUb6QJ7VgxfWbnC/Sk
 U4yNjiGlRNN0xicnWbNmDY8+8690HroLB6gAzM1ztNnkwRf2330n61asYOTA
 AYSioGoaExMTFPM2++6/izOu+VI3VJelPFq4FW8EoDM5zrYbfo/hkwbwfJ9U
 Oo2qKCiqShD4aKpGtVLtxnQhDmvdECnnW5Ik8/ckSTBNk3y+F8PUiePuuziO
 aTWajM422XD1H7HonA+8YfITR2M+CnwevPYyTrIzVKanGF6zhtJ4mSiKKfT3
 YaUsnI5LNpPBNA00VUVRFFRVRVEVNFVDKIIkToiTmDiOiaKYKIrmnkO8IEQR
 guLAALtf2Y3vewwPD/P89u1omk5bMTjrupsoDJ121Oh0mAltLXXD5fjTj5JP
 pSmPjaLrOq7vMT01TRCGAAwMFEmSBNfzaLWaCCHQNA1VVefvQgiklMRxPN+6
 ABJ00yCOYwSC0ugoZsGhOjFBqZwnimJc18Pu7WXfA3d3Acjj9YE5jAceeQAt
 cFg9dCpJFAFg21kmJ6dIWRZIiap1mZVJzGy9zsjIATRNRREKZ5zxS/MA9u7d
 R71ex7ZtBgcXoOs66VQKRVFp1OsgBHt+PomKjtGvUyz0Y1oWM5UqU9ufQcYx
 QlWP6NBHdeLqyzvIqpIkjpmankbTNBYMLmDp0qV0Oh32j4wQBgGnnrqadDqN
 7/v02Fl6cjal8UnCOU0BuK5DNpOmNlvHSpkU+osEQcDU5CRZPUO5NsXQynUA
 TE/PkIpC9o2Pk7JSZOw81T0vURg67YhKUA4qzMa75uM36lgpiyAI8Twf3/No
 NRo06w00XafZauJ7HoHv4XoeiZSkTAtFVWl1XIrFImEYzrf+/gK6YbB82RLs
 rE0cx7Q7HVqtFjICz3NxHId2u02n3SbvevheQBiGmIrAHR89qsMepAGZdHu1
 JsawczmanRZxEpPNZjENgwTJWKlETy5HTx6SOCYMAuIoRiiCQqEwH4HanQ71
 Wo1UOoVt5zBNAyklURR1c0KSYFgWo9US/b29tJpN2u02umHwouuRTqUIwxAr
 lUJMlw4KMK83I+VI9p9MjpGxLAAcxyFOEqIkptls4Lsu9VoNy0zR29uHH0Ts
 HxkhlqCbxrzUS2NjpNIZdu/eg9PpzJmUQAITE1NMT1UgEWQyGYIgJD+wFMW0
 cV0PCTi+ix8GKDKhPTFGj3oCiSycGCVl6CRRSJx0I4XvBwSuTxSF85KsVCoI
 VUERggMjI2TtLEsWL6HVbNBsNPHDECEEnueRyWZxPZ9SuYymqcRxTL1Ro6+v
 D8dxqdS2k0iJrquIOUmGvo/bauCUx+jXoBEfbkfKocybApoTY+iqoNVsEvoe
 JBKkJG1n6entI5PN4ocBcRJjWSlMy0JRFOq1WQzTIggCCsUCcRCS78kjFAXD
 MJgYH0fTVNKZLIZhgpQ0G02EIlA1FUPXusxLCAOfKAxxWy1a1QoppcvboZ58
 mAbyGlTGRllsm/hBgKqqJLGDrhsYpomqamiaguf7cz7gdwu2OCZJYnzXJZPJ
 kLNtBgcHQUoSKYkTiee7mFYKz3WI4xiZSHzfwzRMNF3F0HUUodBoNgh8v5tn
 XBfDyhAGPnnNZCo8BgBTQKs6TWgOdieREkVRyOd7sSwDx3FpNdtk7B4aQQ2X
 bhkRhgGqomClLVrtFsFc7pCye+nvz2PbNvV6HcMwSJIEz/fJ5WyC0GNB3yDF
 QmFeEO1WiyRJ8IOAXDZLrVwivXTlsX1A+C6qqtJut7sOnST09fXTX+hHEQph
 GJHL5cjZOaLQp1qpIKXEME1WrlxFZaZKevHJbP6VS+bHnBnZy9P/9H16+wt0
 Oh2cThskmOk0WTuHoWuEQYCqamSyWZrNFtPTMyRJN5TqukFtvER+2crDcsFh
 AFrjY6SzNu1WHQDLsigWCxSLRRzHQcwKclmbl3fvpiffy+qhIaQEyzJpNBpE
 isGVN9+Cor1u6PO2UCmP8spjDzO4YBA/ipBRTBSHNFpNUrpBKpUiCAMGTxqk
 1WqSy9lUq1XCMEQmEbPlMXQxX/Ae2YklUBkfwzRNOo4DQC6XI5/PMzAwgCIE
 mUya8tQkF11zHZsv/11CM0M7TmgECZuuuJbP/+DubpyPooPaJdffyKe/divZ
 JSuQuoHW08vq8z7EZ7/zA8IkIYkjHKcbbjOZDOlMZt63fKdDbaJEAnQvR9GA
 kDBdGkNXFTqdDlImmKaBbuh02i1a7RaWYeF6VXzfx3VcNn3qClacfiZGOsX+
 n23nP26/jS2/deURY/bA8pV86uavv/YikbzwkwdRUxmCwKXZaFKr1tB1DVM3
 EHMAWrUatfIYoYSth+xeHKSBrYuF8FwXGUd4nodMJEiB67hMTk7hOi6v7t3D
 1PQkzeoMcRTy7H33sOPxhwl9HxTQLYvQ94+r7X7uKe75xleQqkYkBZ7rUavW
 cB0HoQh0XUNKiddq0qnPEiby2E4sdZMwiDBNE9dxcD2XarWG73vk7Rzl0jiX
 f+WbrDtvCwBnX/yrc0nHo6e/iH7aBkLfo1GZJoliegcXdoUdx0zs28PgyatQ
 5/zj+f+8n42X/DrP3ncPGcPE6TSZna2RJN31AkpXvrqVImXn8JNjFHMA2VVr
 manMsGzpUorFIu1Wm1q1iq7pTDca2H39uO0WoecdLtFnn+LB228l9H28Vovv
 ffkLTI/sI/R9Hv7Hv+Wn9/y4mzt8n059lleeeZLTz/8gK9efyZINZ6IYFk67
 Q6Nex3FcFKGQTqVI5XsZ3vIRrhlUxDEBfPvic8SGSz7JRK0OQmHRopOwbZtm
 p4OeyfLRa77Ak3fdyXd+/3e4/7ZvMrF3N6HvEfoeURSSxAmh72H3F9j0a5fx
 z3/9l+z66WPseuZJLrz8qvm+P398G4MrTsFMZxjauJnSK7tYedY5hEKh1W53
 l5gS0r39LFy9llUbzz3+Wujv/vBq8Rf3Py7/+967md7/KpniQoY3nMXQuReg
 KAprzzmPkR3beeW/nuaHf/5lLrz8KoY3f2C+HvzFevi08y9kZMfPuPfWb3DZ
 H9+Elc7Mz7HziW1s2PIRhBAsX7eeB9ot1py7hVPO3sRLjz3E7ESZ1cPrWXv+
 BxnaeB6fOaUgTmhXQsn38+GrP0+SJEf8f/XZm1h99iaeWvRjdj7+COu3XISm
 6QhVQTNMAKIwoDEzhWFZBK47/742XmZi7x6q4yV+csffd33I89j11ON86Lc/
 y/L1Z3R5UFUUVWW2Vj3xfaE/ef9a8e3nXpVGOvVa1ItjOo1Z7L7CaztrroMU
 EsOy0AwDVdMw5krxbXfcTnHZyXz8c1/kR1+9iSVrhrH7Cux6+jGGz72Aj1/7
 xflxKqUD3LH1S1z0mWvRdL2rTUVBthtc//7hE98XAvjc+1aJ7748Lg29K7nA
 dbjtD65i+boN9A4uZHL/Xib37+XS6/8U3bRQdR1FUdFNi5efeYL9Lz7P1bd8
 FzOdYfMnPsm/fOuvuPzmr7PzsW1cfO11pLL2/FxLhtbRU1zAvheeY3jzBV2B
 eQ5Xvm9IvOXN3e/tn5WaYXQl7jiMvrSD9mwVK2uzfN16UnYOgE59lnZ9lgXL
 VzCxdzeZnjy5wsD8/tDozhfpX7SEmdIBlq09HUU9eJVSLY8iFIW+hYsRvstv
 rii89b3RX9Ad4440DAP59h7qHCGuS4Tn8InFueOa6IS5ubOSSFV5Z0CIJObS
 gvbOnA8cSj+ciaWuKm/D8QzIOOI3BvR354TmUPr+dCR1RaApJwYmiRPCJObT
 C4x3/4zsaPQ3E6HUla5UNUVBUUR3SQkkiew24MqF+jvrSO/Re/T/iP4HJEmS
 YruEGjYAAAAASUVORK5CYII=
