## qtsixa 1.3.0-0maemo1

=== debian/changelog ===
qtsixa (1.3.0-0maemo1) fremantle; urgency=low

  * Added missing package fields.

 -- Tomasz Sterna <tomek@xiaoka.com>  Thu, 15 Apr 2010 16:16:38 +0200
