=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Tomasz Sterna <tomek@xiaoka.com>
 XSBC-Original-Maintainer: Filipe Coelho (aka 'falkTX') <falktx@gmail.com>
+Vcs-Git: git://github.com/smokku/sixaxis-support.git
 Standards-Version: 3.8.3
 Build-Depends: debhelper (>= 5), gcc (>= 4.1),
   libusb-dev, libbluetooth-dev, libdbus-glib-1-dev, libdbus-1-dev
@@ -23,6 +24,7 @@
  .
  sixad is triggered by udev, making it super easy to connect new devices
  (you just need to press the PS button)
+XSBC-Bugtracker: http://github.com/smokku/sixaxis-support/issues
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAADM1JREFUaN7tmXmQHNV9xz+v7zl6dnZ3ZrVCJ5IQK61AChgiLAFGxsaO
