=== debian/watch ===
version=3
http://falktx.xtreemhost.com/repo/source/trunk/qtsixa_(.*).tar.gz
