=== qtsixa/c++/Makefile ===
#############################################################################
# Makefile for building: c++
# Generated by qmake (2.01a) (Qt 4.6.0) on: dom Jan 17 01:14:38 2010
# Project:  c++.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile c++.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qtsixa_main.cpp \
		qtsixa_about.cpp \
		qtsixa_addprofile.cpp \
		qtsixa_keylist.cpp \
		qtsixa_newprofile.cpp \
		qtsixa_options.cpp \
		qtsixa_reference.cpp \
		qtsixa_sixaxis.cpp \
		qtsixa_sixpair.cpp moc_qtsixa_main.cpp \
		moc_qtsixa_about.cpp \
		moc_qtsixa_addprofile.cpp \
		moc_qtsixa_keylist.cpp \
		moc_qtsixa_newprofile.cpp \
		moc_qtsixa_options.cpp \
		moc_qtsixa_reference.cpp \
		moc_qtsixa_sixaxis.cpp \
		moc_qtsixa_sixpair.cpp \
		qrc_qtsixa.cpp
OBJECTS       = main.o \
		qtsixa_main.o \
		qtsixa_about.o \
		qtsixa_addprofile.o \
		qtsixa_keylist.o \
		qtsixa_newprofile.o \
		qtsixa_options.o \
		qtsixa_reference.o \
		qtsixa_sixaxis.o \
		qtsixa_sixpair.o \
		moc_qtsixa_main.o \
		moc_qtsixa_about.o \
		moc_qtsixa_addprofile.o \
		moc_qtsixa_keylist.o \
		moc_qtsixa_newprofile.o \
		moc_qtsixa_options.o \
		moc_qtsixa_reference.o \
		moc_qtsixa_sixaxis.o \
		moc_qtsixa_sixpair.o \
		qrc_qtsixa.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		c++.pro
QMAKE_TARGET  = c++
DESTDIR       = 
TARGET        = c++

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_qtsixa_sixpair.h ui_qtsixa_sixaxis.h ui_qtsixa_reference.h ui_qtsixa_options.h ui_qtsixa_newprofile.h ui_qtsixa_main.h ui_qtsixa_keylist.h ui_qtsixa_about.h ui_qtsixa_addprofile_mod.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: c++.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile c++.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile c++.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/c++1.0.0 || $(MKDIR) .tmp/c++1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/c++1.0.0/ && $(COPY_FILE) --parents qtsixa_main.h qtsixa_about.h qtsixa_addprofile.h qtsixa_keylist.h qtsixa_newprofile.h qtsixa_options.h qtsixa_reference.h qtsixa_sixaxis.h qtsixa_sixpair.h main.h .tmp/c++1.0.0/ && $(COPY_FILE) --parents ../icons/qtsixa.qrc .tmp/c++1.0.0/ && $(COPY_FILE) --parents main.cpp qtsixa_main.cpp qtsixa_about.cpp qtsixa_addprofile.cpp qtsixa_keylist.cpp qtsixa_newprofile.cpp qtsixa_options.cpp qtsixa_reference.cpp qtsixa_sixaxis.cpp qtsixa_sixpair.cpp .tmp/c++1.0.0/ && $(COPY_FILE) --parents ../gui/qtsixa_sixpair.ui ../gui/qtsixa_sixaxis.ui ../gui/qtsixa_reference.ui ../gui/qtsixa_options.ui ../gui/qtsixa_newprofile.ui ../gui/qtsixa_main.ui ../gui/qtsixa_keylist.ui ../gui/qtsixa_about.ui ../gui/qtsixa_addprofile_mod.ui .tmp/c++1.0.0/ && $(COPY_FILE) --parents ../lang/default.ts ../lang/pt_PT.ts .tmp/c++1.0.0/ && (cd `dirname .tmp/c++1.0.0` && $(TAR) c++1.0.0.tar c++1.0.0 && $(COMPRESS) c++1.0.0.tar) && $(MOVE) `dirname .tmp/c++1.0.0`/c++1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/c++1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qtsixa_main.cpp moc_qtsixa_about.cpp moc_qtsixa_addprofile.cpp moc_qtsixa_keylist.cpp moc_qtsixa_newprofile.cpp moc_qtsixa_options.cpp moc_qtsixa_reference.cpp moc_qtsixa_sixaxis.cpp moc_qtsixa_sixpair.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qtsixa_main.cpp moc_qtsixa_about.cpp moc_qtsixa_addprofile.cpp moc_qtsixa_keylist.cpp moc_qtsixa_newprofile.cpp moc_qtsixa_options.cpp moc_qtsixa_reference.cpp moc_qtsixa_sixaxis.cpp moc_qtsixa_sixpair.cpp
moc_qtsixa_main.cpp: ui_qtsixa_main.h \
		qtsixa_main.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_main.h -o moc_qtsixa_main.cpp

moc_qtsixa_about.cpp: ui_qtsixa_about.h \
		qtsixa_about.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_about.h -o moc_qtsixa_about.cpp

moc_qtsixa_addprofile.cpp: ui_qtsixa_addprofile_mod.h \
		qtsixa_addprofile.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_addprofile.h -o moc_qtsixa_addprofile.cpp

moc_qtsixa_keylist.cpp: ui_qtsixa_keylist.h \
		qtsixa_keylist.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_keylist.h -o moc_qtsixa_keylist.cpp

moc_qtsixa_newprofile.cpp: ui_qtsixa_newprofile.h \
		qtsixa_newprofile.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_newprofile.h -o moc_qtsixa_newprofile.cpp

moc_qtsixa_options.cpp: ui_qtsixa_options.h \
		qtsixa_options.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_options.h -o moc_qtsixa_options.cpp

moc_qtsixa_reference.cpp: ui_qtsixa_reference.h \
		qtsixa_reference.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_reference.h -o moc_qtsixa_reference.cpp

moc_qtsixa_sixaxis.cpp: ui_qtsixa_sixaxis.h \
		qtsixa_sixaxis.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_sixaxis.h -o moc_qtsixa_sixaxis.cpp

moc_qtsixa_sixpair.cpp: ui_qtsixa_sixpair.h \
		qtsixa_sixpair.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qtsixa_sixpair.h -o moc_qtsixa_sixpair.cpp

compiler_rcc_make_all: qrc_qtsixa.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_qtsixa.cpp
qrc_qtsixa.cpp: ../icons/qtsixa.qrc \
		../icons/web.png \
		../icons/close.png \
		../icons/apply.png \
		../icons/stop.png \
		../icons/qtsixa.png \
		../icons/bt.png \
		../icons/bug.png \
		../icons/plus.png \
		../icons/ubuntu.png \
		../icons/force.png \
		../icons/hint.png \
		../icons/refresh.png \
		../icons/sixaxis_16.png \
		../icons/config.png \
		../icons/manual.png \
		../icons/qtsixa_16.png \
		../icons/qt.png \
		../icons/ok.png \
		../icons/undo.png \
		../icons/bt_off.png \
		../icons/new.png \
		../icons/cancel.png \
		../icons/trash.png \
		../icons/exit.png \
		../icons/sixaxis.png \
		../icons/info.png \
		../icons/qtsixa_32.png \
		../icons/rec.png \
		../icons/eject.png \
		../icons/battery.png
	/usr/bin/rcc -name qtsixa ../icons/qtsixa.qrc -o qrc_qtsixa.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_qtsixa_sixpair.h ui_qtsixa_sixaxis.h ui_qtsixa_reference.h ui_qtsixa_options.h ui_qtsixa_newprofile.h ui_qtsixa_main.h ui_qtsixa_keylist.h ui_qtsixa_about.h ui_qtsixa_addprofile_mod.h
compiler_uic_clean:
	-$(DEL_FILE) ui_qtsixa_sixpair.h ui_qtsixa_sixaxis.h ui_qtsixa_reference.h ui_qtsixa_options.h ui_qtsixa_newprofile.h ui_qtsixa_main.h ui_qtsixa_keylist.h ui_qtsixa_about.h ui_qtsixa_addprofile_mod.h
ui_qtsixa_sixpair.h: ../gui/qtsixa_sixpair.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_sixpair.ui -o ui_qtsixa_sixpair.h

ui_qtsixa_sixaxis.h: ../gui/qtsixa_sixaxis.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_sixaxis.ui -o ui_qtsixa_sixaxis.h

ui_qtsixa_reference.h: ../gui/qtsixa_reference.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_reference.ui -o ui_qtsixa_reference.h

ui_qtsixa_options.h: ../gui/qtsixa_options.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_options.ui -o ui_qtsixa_options.h

ui_qtsixa_newprofile.h: ../gui/qtsixa_newprofile.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_newprofile.ui -o ui_qtsixa_newprofile.h

ui_qtsixa_main.h: ../gui/qtsixa_main.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_main.ui -o ui_qtsixa_main.h

ui_qtsixa_keylist.h: ../gui/qtsixa_keylist.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_keylist.ui -o ui_qtsixa_keylist.h

ui_qtsixa_about.h: ../gui/qtsixa_about.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_about.ui -o ui_qtsixa_about.h

ui_qtsixa_addprofile_mod.h: ../gui/qtsixa_addprofile_mod.ui
	/usr/bin/uic-qt4 ../gui/qtsixa_addprofile_mod.ui -o ui_qtsixa_addprofile_mod.h
