=== debian/changelog ===
qtsixa (1.3.0-0maemo2) fremantle; urgency=low

  * Modified packaginf to comply with CLI application requirements.

 -- Tomasz Sterna <tomek@xiaoka.com>  Sun, 18 Apr 2010 16:47:31 +0200
