=== debian/control ===
Source: qtsixa
Section: user/system
Priority: optional
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
XSBC-Original-Maintainer: Filipe Coelho (aka 'falkTX') <falktx@gmail.com>
Vcs-Git: git://github.com/smokku/sixaxis-support.git
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), gcc (>= 4.1),
  libusb-dev, libbluetooth-dev, libdbus-glib-1-dev, libdbus-1-dev

Package: sixad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 4.12)
Description: SixA Daemon
 This package provides background daemon for connecting PS3 hardware
 (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine.
 .
 Currently sixad supports:
  - Sixaxis buttons, axis, accelerometers and LEDs
  - PS3 Keypads
 .
 sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
 (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".
 .
 sixad is triggered by udev, making it super easy to connect new devices.
 You just need to press the PS button.
XSBC-Bugtracker: http://github.com/smokku/sixaxis-support/issues
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAEqZJREFUaN7VmnmwZVd13n9r732mO733ul9Pkhp1S2poIQnJllIWQhiD
 RZArUCFIBiKQbcLoKKkEE3kgCYgqkzgx2GVSlWATohhbMaFE5OCYwmDUihiE
 gmLJCo3Q1K2Weh5ev+FOZ9hr5Y9zXyNZQ5kE/8GpOnXfPffc87611rfW/tba
 V3jaMRj0X5dn+d/23u303idZmmqShOhDUpdV2WjUxkzVjCjiGhFijE0EaQxi
 rOtGLapzoXHeNbFpalVtvA/Rex9NVdW0CT7U3vtGHLWI1N752qAGahEpvZNK
 xNXOS2VqlZlVMcYKcaUXmQDTvd97pAEQgB27dgUfm9/bdf7OdwTviE2N944Q
 PAJEVcyMGJUYFVVVVTM1jaoatf0rGhZVacw0mlk0o8asNqwyowIrQaaYTU2Y
 YIwRmWCMRBgZjASGwEhEhsAIbKRqI1UbG4ydcxMzJmo2fPD/7K0DQC9Lb/rx
 Sy57x/GTJ/WRx/bpeDJBVVvrwBBBwEQwA0BUwMzQ9gXFTIEIoohFkCgwu4bO
 7jHADAzQ9pmiiKi090WECNIINECNUAvSiEjtnDTeh6bT6WgSfLj8spfF8JIL
 dyfnnXvOu1ZXV/nzPV/TGKM470UAkdm/cdg6zQQxBEcLzgMqIrb+3olEBAFx
 s6+YCAaiQCOCAxGRmVsEldYARaQRkUZaKs1OakEqRGrnXO2cb6Jq7HW76pxI
 GI/GO3rdzs5777vfoqqkaSrr1CICOVA9A5LOPvZwxjAFXBstWtvlTGoZiGGm
 JkRBGrDajNqgEqjMbAoyFbGpwASYtO+ZMOO8d640qERcU1d1M3ETTdPUQpYm
 Z4+Go+7yymoTvG/B12CKSGEkH29oPuXQ/+1bMFnr1KeBX88lzfqDvjiPCwGf
 JIQkxScpPsvxWU6S54SiYP9dX74dkbGZjgVGiLTcFxliNkQYCTIUkTHCRJCp
 qZVOrTLV2ixEgxgNC2icm1YVZVmZiAgR2GySfrgheaMiWyG9UWnujFS/FtC9
 IqQYhgHm0yxz3iPegzjEe8R5nE9wSYpLM3yaEbKckBeEvMNFb3rb9Wm3R9rp
 cc8nP/bPMVsTkTXM1oAhxhBs1CYxExFKQUpxUkd1TVSNpmoHDx22EFW7ZVWj
 MbbxjpD9TkP6ZqW6Q5BFYAjJ6w13cS3jyxJ108STiBdxrIN3PuBCwIWk9Xqa
 4tMMn2X4dfBFl6TokHb7JJ0uSbfHNR/6+EfTbp8v/sp7rrfWkCEwMrMxyESE
 6ayC1SiN96YYdnx5xQBcCElRNw2qaqggBfgrDZ3C9GcD+pdC+d6g5W850285
 c4veg/BC4EP2NOBZ0YLttOCzXp+k0yPr9cl6A7L+gKzf5y2//z9u/7nP3/Vn
 ZjYys3XPT1WtVNUaaDCLZVnp2nB4hr7OOZfVdcQwxGFWgj0KLofsdyPuQkO2
 GtUvZ1LemAuHPZJ8H7wPybPBp1kLPG/Bp50OaadL1uuTdvtk/T5pb0DWG5B2
 +7OzR1L0eN9dex9owctUVUuw2jnXxBhjWVUWY3x67hGaGLO6iZhhIm29KP9Z
 ELmtIXunAuD3NC7uidQfTYjf9vgcxCX4kLRGrCfrjDZJXhDygqTokBQFSafH
 OuezXp90/ex0EREOfv3PmZw4ivOBDbteyj++Z9/BtDfgYxdvLJxzTdM0OgP+
 DPC0pU+yGJUzHwbQB5yOL0t0/DNBm/sE2yckrzeKL1cklxquhjidgtkZ8CFr
 E3UdfFp0yDod8m6PfN3z68BnHnc+cN9vfwT2f5cdibIzNEzv/zp7bn4nPiR8
 8PHx5IXAAzhVTc20vcGA3My/SnGXK81XEqffESbXJpQfCkgf5LUNIo40TYl1
 hU8z0jwnyzK6Rc5ct8OGfpeN/Q6bBj02D/qcNdfnRQt9ti8MOHthwKZBj7le
 n5X9j7K4MM+WhXkOHznC/ieeYOuGeXxTsXpoP4jjXxyo4/OBBwjO+0RVFTBp
 JLLBQnFn7ewYjK8K7TKUCZLOREQpKEaSBGJZ4psKUFQb6thA0xDLKfUkpxqN
 SPIVxnlBmrfRSdKcNG/PY3d/ld07d3DkyFF88AAcP36cTfN99n/pDjbc9EEA
 PnLI7MNnP21pfLoBIpJaq2OUBG8HRKvf9JL9SnSdh6YwhHBtidsG8WGwP81I
 kxStoZN0aFaGqPeo91gIaOJpUk+TJFQhEELA+/bVOYf3HucdIo6NnYImKtvP
 3Y7NFn9VZbi6xlP3fZND99zF2S//qed3PxCC96mZNSJiCEbAmg/nTr/T4H+6
 JvwdRR9wxE8E4h8F5JiDLYYbGEpDCAkheBIfCD4h15wuPbIsJ8szQgiEJMF7
 34J3vtUZAo22GrDfH/D4Y49TVSUXXXwxBw4cYBASHrz1E2QLG1ncfQm3HDa7
 5axnRyGIc2IthRRQn2e5maGfS9HPeuw3SvQTKf5EChoxAX3DBLupbKW2QYm0
 VBPIbp8n+5NdON8glUPNaKLOwM/0nQh5UWBAVOPwoUNkmyYsHT3KocMbaJrI
 ZDKlv7DAvi/9NxZ3X/K8WRBMVYAoIgqoONcK3tC0Qf1XBT46fOZwJsQYCX/c
 J/nKHOI8SUhw4lBVxqMxaglH9Sg7du7AuZYqx48fZzwe0+v12bJlM1me0e12
 CSFhuLqKOMcje48RJCVdTNi0uJEszzlx8hTH7r8XixHxnlsOmd3yV3IhqKqK
 SDOTxV6cQ4Cmrls5PYVIBA8hCYQkIFOhHDZAQzZfkOc5ZVnS1R7dbofV4RAn
 DkQQEeqmPnO92++SFx1i03D0yBH6aY9DS8e48IJLZkl8gqKp2Xf4MEVe0O3P
 c+rR77K4+5LnDIKbVaAIaD6YH7h1Meak5YQXxAlqihl4HzAxzBkmBg586smK
 DJ8GalXm5xcQ55CZARsWNpJlOeduP4dBf4CZMZ5OGQ6HWANlOWU8HjMcDhkN
 h8xPppTTirquyZwwOfzkGcn77DLqnK4nsYTQdioacc5jpjjnZsBbDtdNTZpm
 s6rSJqR3Hpc4Op1OG6WQUDc1KysrdDoF/cEcIu2qqxqJGtHYkOY5Ty0dYuPC
 AmurqwyHQ5I05cHJlE5RUNc1eVEgxw+eAfxXaeTMLM4iEL2faRrn8KGtGmbW
 evJMFIzYNKRpRtHpgAgra2u4EMiK/IyfTp48SafT5cCBJ6nKEo1xRivH0aPH
 OX7sJGKObrdLVdXMb34RLuszmUwxYFxOKOsKZ8rwyFPM+edJYqAxsxowFwIS
 PDHWOB+otToDfr23Wm8ERITxeIzznuA9p5eWKMsuW7duoywnjEdjjtsJxDmq
 qiLNMqZVzaHDhwnBo6qsrJ5mw4YNjMcTTi7dj5qRJH7W1EFdlkzWVhgfeoqN
 AVbis3nkaJvnCqjdrIsSwAdPqzDAicOJI0lT8qIgy7I2oUTIZ6us94HxaExR
 dNCobFxcRJvI/Nw8znuyLOPokSOE4On2+qRpBmasrqwiTvDBkyahBW9QVyVN
 XTNZW2Pt1EkKB5k8W1SEdQNEpJXBAtMYSZLQehpphwkieO/wPiFJAmpt+6um
 oOvPbenV6/VYWFjgrG3bkLajRw2m5YS86DCdjIkxYmqU5ZQszQiJJ03akryy
 utLSTpXJZEKad6mrkvmQcax+tgG1mZWAhDQjEdrkFff9cAlkWdoKOFXquqbo
 dqnKKU1d45xHtcE7T6ffZXnpNNPJdNbZt4TYuDFnMBiwvLxMmqaoKtOyZDDo
 U9VTtmzYyqbFRWKMqEaGa2uoKmVVMej1WDp0kM6Lzn+Ohazl/1RExGcZCeDa
 pgvXzj7I84Jur0cSEsqypBgUdLs9RITh2hqRhjTL2LHzPFZOr9DdvpMfu/bv
 4maV68SBfdx7+x+wsHGR0WjEeDQEg6zTodcfkCaBuqrwPtDt9VhdXeP48ROo
 tqU0SVKWDh9k/tzzn7UWrEdgCkiSd/DVhCTNMI2IOJIkod/vMTc3N5vORXrd
 HoePHWUwmGdx0yaccxRFwXA0Qn3GP/jIxwhZ1nZtIohcw6nDT/Hw3V9l65at
 lE2DNZEm1qysrVIkKUVRUNUVW8/aytraKoNBn1OnTlHXNaYNpw89RTJbmp6R
 xAalmU2ASVIUACRJihmIE/I8n3F6A2mSUnQKltdWefn1b+PyN74ZLXpMEIZR
 uOrt7+WmWz+HC6Ed28WIxkhsGt5484d5+8f+A73t52FJSphb4MU/+Vre9+//
 gFoVjQ3j8Yi6rul2u3S63XY0FSPleMTSkYPo+gTqGREwq4CxiJDkHaanT5Cm
 CdV4hIiQZilZnoMpVVPTyTusjaeYCGVVceV1N3DepVdQDPocfOi73PmHn+Y1
 N77rzCr89GPzjvP5+7/+8e9fUOOBO/8MX3SpqgmrK6ssnVoiSQLZrBrGGFlb
 WmLp0FPUBrec88yHOhEpgTEwfvhLd9zqfMB711YXwLuAqTEcjYlN5MixI5xe
 XmI6GiIi/OWeL/Pwt7+BqeIST5oXxLqmqSrqsnzB85H77uGO3/7XmA80Jkwn
 U5ZOLTEZjxEnbSU0Y7q2ymj5NLXaczY0UzMbzbxlIe9QiydJEmKMRItMplNi
 jMz1Bzz26KNcd/OHuOjqn2onEEmCD4HYNMwtbibNcupyysrJ42gTWdi6rXV2
 jBzZ9yhbd16ADwGAv/jKF7nyjT/L//rTO+imGePRKqdPL6EaaZoaZvI7yQuK
 /oBSn0PMzRJ4fZy91tm2nWlZsri4ibnBHFVZMRqNyNKMlcmY3vwCdV1hZpgq
 FpVYNzR1zWP33cuXb/0kdVkyXVvjP3/wn3L8iX3UZclXf/9TfPOOz6ExUpcl
 o+XTPHzvN3jZq36a8y+9nO2XXY5Lc8bDESvLy4zHE5w4OkVBMb/ARa+5ln+4
 1cmzDYCJmQ2BNWB4/+2f+aUdV1zJcFriQmDT5k30ej3GZUna7fOaX3gv933x
 C9z6a/+Er9z6SY498TixqYl1RdPUaFTqckp/4yKveNNb+OPf+bc89M27eeje
 b3DNz7+bupxSl1O+87U9bD1vF1mny+4rr+bgww9x/t96ObU41obDdh/CoLOw
 kW0vfikXXPnK59RCfmF+frOZbZlOpyUwNbPRwYe+80fX/uL7r4+xXWy6m7aw
 +xWv5uobfoFt5+3ix675GRbPOpuThw/xPz/7GQYbF9l87k5OHnySUwef5MKr
 XomIsGXHeTy590G+9Sef5++9/1dZ2LLtTHLf+Yef5mWvuoZNLzqX+U1b+NYX
 Ps8r33IjF1xxJXVVUcfIORdezE9c91auetMNvPslm5+7qdeWQmuzjiy2LQyj
 fNNWXvHmtxGynDQrCFk6mzYneB948U9czUte/pPc+4Xb2fu1u7j0Na8jhATx
 jpBmADR1xcqJY6R5TjWZnLm+dPgQRx5/lFOHD3LnbZ9uhdt0ykP3fI3XvuN9
 7Lj0x1t6eI/zntNLp56/qReYWksfnbWWUxEZfeb9777il2/7wn2dwVw7Fk8y
 xAnT0ZDu4hyI4JyjnIwxMdI8J6QpPgTSPAdgz23/iU3n7uQN/+gD/Nff+Ajb
 L7yI/oZFHvrW3Vz0ylfzhps+cAbIyYMHuO2WX+V177qJkCStgnEOG65w81UX
 yfMbIJS0s3gVkUaEabvBwOjf3PCGHR/d8+0nik5/VmlqPvWBX2THxZexYdtZ
 HN3/OEf3P871N/9LkizHJwnOeZIs53v3fp39D/4F7/mt3yXrdLn6urfy3z/x
 m/z8r3+cvXfv4fU3/RJFr38GyPbdFzO3aQv7HriPi65+dVu5pmPeecVueYGp
 CnL++Tu3mvLi5eVlbWJsVHUaY5yq6mSWE+W/e2D/6azo4LynnEw4+L29DE+f
 Iu/12XHxpRT9AQCj5dMMl0+zZcd5HHn8Ebpz8wwWN7c61Ywn9z7IxrO3c+Lg
 Ac596ctazfW049ShJxHn2LDtHKSc8LbzFl8QPIDs2nXBBtW4c3l5JWrUWMem
 jE2cqurUzEqzdjr8Hx87WWZ5/rStr7+Zw2HIdMx15wzkr3N/cEKNuLFzLppZ
 49RVKlqKSKWqtXOuVlW9cXvfAfbZk2reyd8IeNHI9YvhB3p4AGm8Yxx8UMya
 KFqLSLU+lzczreta13uhty626P/LiWiJ/yFEw8Biw5s3J/9PXglOiM75SQje
 VGN0rt2Tpd1NjHVdPedo+4ZNXgA+c7yxxAnB/WDGaFRqjbx9S/r/Fc4QQhJF
 KJMkWNQYvWqMUaNzTquqMrMXnK3yc5u/H/LfO1Jb0m62EpxrZ0vtbjiq1p7A
 O7clPzQOhiTxClKlSUITo2pUjT5GVWdN09gP8rD3/BCB/XUPf+Tocc4+aysi
 rv0thpnGGG15ZcX4ETgcgCnROdEkBE2SxE6eWvqRAL/+cwGOHD3GWVu3YDge
 fuTRHxnwAP8XuK6si8ir9QcAAAAASUVORK5CYII=
